// ConfigDlg.cpp : implementation file
//

#include "stdafx.h"
#include "udosh32.h"
#include "ConfigDlg.h"
#include "Manual/winhelp/udosh32.hpm"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigDlg dialog


CConfigDlg::CConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigDlg)
	m_lower = FALSE;
	m_suffix = _T("");
	m_radio = 0;
	m_unix = FALSE;
	//}}AFX_DATA_INIT
}


void CConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigDlg)
	DDX_Check(pDX, IDC_CHECK_LOWER, m_lower);
	DDX_Text(pDX, IDC_EDIT_SUFFIX, m_suffix);
	DDV_MaxChars(pDX, m_suffix, 17);
	DDX_Radio(pDX, IDC_RADIO_DEST, m_radio);
	DDX_Check(pDX, IDC_CHECK_APP_UNIX, m_unix);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigDlg)
	ON_BN_CLICKED(IDC_RADIO_DEST, OnRadioDest)
	ON_BN_CLICKED(IDC_RADIO_PARAM, OnRadioParam)
	ON_BN_CLICKED(IDC_RADIO_FINAL, OnRadioFinal)
	ON_WM_CREATE()
	ON_BN_CLICKED(IDC_BUTTON_HELP, OnButtonHelp)
	ON_BN_CLICKED(IDC_RADIO_PARAM2, OnRadioParam2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CConfigDlg message handlers

void CConfigDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	GetData(m_radio);
	
	CDialog::OnOK();
}

void CConfigDlg::GetData( int radio )
{

	if (!m_suffix.IsEmpty())
	{
		if (m_suffix.GetAt(0)!='.')
		{	m_suffix= "." + m_suffix;
		}
	}

	switch (radio)
	{
	case 0:	// Zieldatei
		m_dest_unix= m_unix;
		m_dest_lower= m_lower;
		m_dest_suffix= m_suffix;
		break;
	case 1:	// Parameterdatei
		m_param_unix= m_unix;
		m_param_lower= m_lower;
		m_param_suffix= m_suffix;
		break;
	case 2:	// Parameterdatei #2
		m_param2_unix= m_unix;
		m_param2_lower= m_lower;
		m_param2_suffix= m_suffix;
		break;
	case 3:	// Ergebnisdatei
		m_final_unix= m_unix;
		m_final_lower= m_lower;
		m_final_suffix= m_suffix;
		break;
	}
}

void CConfigDlg::OnRadioDest() 
{
	int old;

	old= m_radio;

	UpdateData(TRUE);
	GetData(old);

	m_unix= m_dest_unix;
	m_lower= m_dest_lower;
	m_suffix= m_dest_suffix;

	UpdateData(FALSE);
}

void CConfigDlg::OnRadioParam() 
{
	int old;

	old= m_radio;

	UpdateData(TRUE);
	GetData(old);

	m_unix= m_param_unix;
	m_lower= m_param_lower;
	m_suffix= m_param_suffix;

	UpdateData(FALSE);
}


void CConfigDlg::OnRadioParam2() 
{
	int old;

	old= m_radio;

	UpdateData(TRUE);
	GetData(old);

	m_unix= m_param2_unix;
	m_lower= m_param2_lower;
	m_suffix= m_param2_suffix;

	UpdateData(FALSE);
}

void CConfigDlg::OnRadioFinal() 
{
	int old;

	old= m_radio;

	UpdateData(TRUE);
	GetData(old);

	m_unix= m_final_unix;
	m_lower= m_final_lower;
	m_suffix= m_final_suffix;

	UpdateData(FALSE);
}

int CConfigDlg::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	m_radio= 0;

	m_unix= m_dest_unix;
	m_lower= m_dest_lower;
	m_suffix= m_dest_suffix;

	return 0;
}

void CConfigDlg::OnButtonHelp() 
{
	WinHelp(HID_FORMCONF, HELP_CONTEXT);
}
