// udosh32Dlg.h : header file
//

// -dh-
#ifndef __FORMAT_DATA__
#define	__FORMAT_DATA__
typedef struct
{
	CString DestEdi, DestApp, DestSuf;
	BOOL	DestLower, DestUnix;

	CString ParamEdi, ParamApp, ParamSuf;
	BOOL	ParamLower, ParamUnix;

	CString Param2Edi, Param2App, Param2Suf;
	BOOL	Param2Lower, Param2Unix;

	CString FinalEdi, FinalApp, FinalSuf;
	BOOL	FinalLower, FinalUnix;

}	FormatData;
#endif


/////////////////////////////////////////////////////////////////////////////
// CUdosh32Dlg dialog

class CUdosh32Dlg : public CDialog
{
// Construction
public:
	CUdosh32Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUdosh32Dlg)
	enum { IDD = IDD_UDOSH32_DIALOG };
	BOOL	m_use_dir;
	BOOL	m_use_hyp;
	BOOL	m_use_log;
	BOOL	m_use_sym1;
	BOOL	m_use_sym2;
	BOOL	m_use_sym3;
	BOOL	m_use_sym4;
	BOOL	m_use_sym5;
	BOOL	m_use_sym6;
	BOOL	m_use_test;
	BOOL	m_use_tree;
	BOOL	m_use_verb;
	CString	m_symbol1;
	CString	m_symbol2;
	CString	m_symbol3;
	CString	m_symbol4;
	CString	m_symbol5;
	CString	m_symbol6;
	CString	m_file_dest;
	CString	m_file_final;
	CString	m_file_param;
	CString	m_file_source;
	BOOL	m_hold_key;
	BOOL	m_warnings;
	int		m_format;
	CString	m_file_param2;
	BOOL	m_use_check;
	BOOL	m_use_map_gfa;
	BOOL	m_use_map_pas;
	BOOL	m_use_map_vb;
	BOOL	m_always_on_top;
	BOOL	m_use_upr;
	//}}AFX_DATA

	//-dh- manuell hinzugefgt
	CString m_file_log, m_file_hyp, m_file_upr, m_file_tree, m_file_map_pas, m_file_map_gfa, m_file_map_vb;
	CString m_app_udo, m_edi_udo;
	FormatData m_fd_ASC;
	FormatData m_fd_WIN;
	FormatData m_fd_WH4;
	FormatData m_fd_RTF;
	FormatData m_fd_HTM;
	FormatData m_fd_MHH;
	FormatData m_fd_TEX;
	FormatData m_fd_PDF;
	FormatData m_fd_INF;
	FormatData m_fd_MAN;
	FormatData m_fd_STG;
	FormatData m_fd_PCH;
	FormatData m_fd_TVH;
	FormatData m_fd_LDS;
	FormatData m_fd_AQV;
	FormatData m_fd_DRC;
	FormatData m_fd_IPF;
	FormatData m_fd_LYX;
	FormatData m_fd_NRO;
	FormatData m_fd_SRC;
	FormatData m_fd_SRP;
	FormatData m_fd_UDO;
	FormatData m_fd_KPS;
	FormatData m_fd_AMG;
	FormatData *m_pActFD;
	char m_charIni[512];

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUdosh32Dlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	
	//-dh- Hilfsfunktionen
	virtual void write_format_data ( FormatData *pFD, const char *key, const char *ini );
	virtual void read_format_data ( FormatData *pFD, const char *key, const char *ini );
	virtual void format2pActFD();
	virtual void get_log_suffix(char *slog, int format);
	virtual void adjust_files();
	virtual void adjust_other_files();
	virtual void adjust_buttons();
	virtual void MbNoUdoEdi() ;
	virtual void WinExecErrorMB (UINT ui);
	virtual void CUdosh32Dlg::SetIniFilename();
	virtual BOOL choose_file(char *name, size_t maxSize, char *title, const char *filter, const char *defext);


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUdosh32Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnChooseSource();
	afx_msg void OnChooseDest();
	afx_msg void OnEditSource();
	afx_msg void OnEditDest();
	afx_msg void OnEditParam();
	afx_msg void OnEditFinal();
	afx_msg void OnExecSource();
	afx_msg void OnExecDest();
	afx_msg void OnExecParam();
	afx_msg void OnExecFinal();
	afx_msg void OnButtonLog();
	afx_msg void OnButtonHyp();
	afx_msg void OnButtonTree();
	afx_msg void OnCheckDir();
	afx_msg void OnButtonInfo();
	afx_msg void OnButtonHelp();
	afx_msg void OnButtonConfig();
	afx_msg void OnSelendokComboFormat();
	afx_msg void OnEditParam2();
	afx_msg void OnExecParam2();
	afx_msg void OnButtonMapPas();
	afx_msg void OnButtonMapGfa();
	afx_msg void OnButtonMapVb();
	afx_msg void OnCheckAot();
	afx_msg void OnButtonUpr();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
